// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: Management.proto

package proto.management;

public interface PrivateMessageOrBuilder extends
        // @@protoc_insertion_point(interface_extends:management.PrivateMessage)
        com.google.protobuf.MessageOrBuilder {

    /**
     * <code>required string sender = 1;</code>
     *
     * @return Whether the sender field is set.
     */
    boolean hasSender();

    /**
     * <code>required string sender = 1;</code>
     *
     * @return The sender.
     */
    java.lang.String getSender();

    /**
     * <code>required string sender = 1;</code>
     *
     * @return The bytes for sender.
     */
    com.google.protobuf.ByteString
    getSenderBytes();

    /**
     * <code>required string receiver = 2;</code>
     *
     * @return Whether the receiver field is set.
     */
    boolean hasReceiver();

    /**
     * <code>required string receiver = 2;</code>
     *
     * @return The receiver.
     */
    java.lang.String getReceiver();

    /**
     * <code>required string receiver = 2;</code>
     *
     * @return The bytes for receiver.
     */
    com.google.protobuf.ByteString
    getReceiverBytes();

    /**
     * <code>required string message = 3;</code>
     *
     * @return Whether the message field is set.
     */
    boolean hasMessage();

    /**
     * <code>required string message = 3;</code>
     *
     * @return The message.
     */
    java.lang.String getMessage();

    /**
     * <code>required string message = 3;</code>
     *
     * @return The bytes for message.
     */
    com.google.protobuf.ByteString
    getMessageBytes();

    /**
     * <code>required int32 rank = 4;</code>
     *
     * @return Whether the rank field is set.
     */
    boolean hasRank();

    /**
     * <code>required int32 rank = 4;</code>
     *
     * @return The rank.
     */
    int getRank();
}
